Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aop
Class AOPClassPool

    java.lang.Object
      javassist.ClassPool
          org.jboss.aop.AOPClassPool

public class AOPClassPool
extends javassist.ClassPool

Version:
  $Revision: 1.37 $
Author:
  Bill Burke

Field Summary
`protected javassist.LoaderClassPath` | `classPath`
`protected AspectManager` | `manager`
`protected org.jboss.util.collection.SoftValueHashMap` | `softcache`

Fields inherited from class javassist.ClassPool
`childFirstLookup, classes, doPruning, parent, releaseUnmodifiedClassFile, source`

Constructor Summary
`` | `AOPClassPool(ClassLoader cl, javassist.ClassPool src, AspectManager manager)`
`protected` | `AOPClassPool(javassist.ClassPool src, AspectManager manager)`

Method Summary
`protected void` | `cacheCtClass(String classname, javassist.CtClass c, boolean dynamic)`
`void` | `close()`
`static AOPClassPool` | `createAOPClassPool(ClassLoader cl, javassist.ClassPool src, AspectManager manager)`
`static AOPClassPool` | `createAOPClassPool(javassist.ClassPool src, AspectManager manager)`
`void` | `flushClass(String classname)`
`protected javassist.CtClass` | `getCached(String classname)`
`protected javassist.CtClass` | `getCachedLocally(String classname)`
`ClassLoader` | `getClassLoader()`
`javassist.CtClass` | `getLocally(String classname)`
`boolean` | `isUnloadedClassLoader()`
`void` | `lockInCache(javassist.CtClass c)`
`void` | `setClassLoader(ClassLoader loader)`
`void` | `soften(javassist.CtClass clazz)`
`Class` | `toClass(javassist.CtClass ct, ClassLoader loader)`

Methods inherited from class javassist.ClassPool
`appendClassPath, appendClassPath, appendPathList, appendSystemPath, clearImportedPackages, createCtClass, find, get, get, get0, getAndRename, getDefault, getImportedPackages, getMethod, importPackage, insertClassPath, insertClassPath, lookupCflow, makeClass, makeClass, makeClass, makeInterface, makeInterface, recordInvalidClassName, removeCached, removeClassPath, toClass, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### manager

    protected AspectManager manager

### classPath

    protected javassist.LoaderClassPath classPath

### softcache

    protected org.jboss.util.collection.SoftValueHashMap softcache

Constructor Detail

### AOPClassPool

    public AOPClassPool(ClassLoader cl,
                        javassist.ClassPool src,
                        AspectManager manager)

### AOPClassPool

    protected AOPClassPool(javassist.ClassPool src,
                           AspectManager manager)

Method Detail

### getClassLoader

    public ClassLoader getClassLoader()

### setClassLoader

    public void setClassLoader(ClassLoader loader)

### close

    public void close()

### flushClass

    public void flushClass(String classname)

### soften

    public void soften(javassist.CtClass clazz)

### isUnloadedClassLoader

    public boolean isUnloadedClassLoader()

### getCached

    protected javassist.CtClass getCached(String classname)

### cacheCtClass

    protected void cacheCtClass(String classname,
                                javassist.CtClass c,
                                boolean dynamic)

### lockInCache

    public void lockInCache(javassist.CtClass c)

### getCachedLocally

    protected javassist.CtClass getCachedLocally(String classname)

### getLocally

    public javassist.CtClass getLocally(String classname)
                                 throws javassist.NotFoundException

  Throws:
    `javassist.NotFoundException`

### createAOPClassPool

    public static AOPClassPool createAOPClassPool(ClassLoader cl,
                                                  javassist.ClassPool src,
                                                  AspectManager manager)

### createAOPClassPool

    public static AOPClassPool createAOPClassPool(javassist.ClassPool src,
                                                  AspectManager manager)

### toClass

    public Class toClass(javassist.CtClass ct,
                         ClassLoader loader)
                  throws javassist.CannotCompileException

  Throws:
    `javassist.CannotCompileException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 JBoss Inc. All Rights Reserved.